Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

Google Cloud Key APIs

Synchronizing Google Cloud Keys

search

Synchronizing Google Cloud Keys

Use the post /v1/cckm/google/synchronization-jobs API to synchronize Google Cloud keys. Synchronize keys from either all or specified Google Cloud key rings.

Syntax

curl -k '<IP>/api/v1/cckm/google/synchronization-jobs' -H 'Authorization: Bearer AUTHTOKEN' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": <true|false>\n}' --compressed

Request Parameters

Parameter Type Description
AUTHTOKEN string Authorization token.
key_rings array of strings Name or ID of Google Cloud key rings from which keys will be synchronized.
synchronize_all boolean Whether to synchronize all Google Cloud keys from all rings. Set to true to synchronize, otherwise, set to false.

synchronize_all and key_rings are mutually exclusive, specify either.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/google/synchronization-jobs' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiJhOGY3N2IxZS1lOTY2LTQwMjEtODRjMC01YjZiNjAzMTBmOWEiLCJzdWIiOiJsb2NhbHwzM2Y5ZDFmNi04MjJiLTQ0NTItOGM4MC1mYzM0ZGYyZTI3OGQiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNjcyMjMzMDAtYjU2ZC00ZmVmLTkwMDEtZGE1NGY2ZDdiMzY4Iiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6ImFlZWY5ZmY4LThhYjctNDUyZS04YTE4LTQ3YTYxZDg0MzAwZSIsImlhdCI6MTYyMDIwMzYxMCwiZXhwIjoxNjIwMjAzOTEwfQ.eGWVMC1yUBYbUSxr22aBPdP2Tg257k7D_5galuus2qg' -H 'Content-Type: application/json' --data-binary $'{\n  "synchronize_all": true\n}' --compressed

Example Response

{
    "id": "1f1d1b1b-a17c-486f-b864-db894af6efac",
    "uri": "kylo:kylo:cckm:synchronize:1f1d1b1b-a17c-486f-b864-db894af6efac",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-05-05T08:36:36.676642246Z",
    "updatedAt": "2021-05-05T08:36:36.679704687Z",
    "overall_status": "in_progress",
    "cloud": "GoogleCloud",
    "key_rings": [
        "projects/gemalto-kyloeng/locations/global/keyRings/demo-key-ring"
    ],
    "abort": false
}

The sample output shows that overall_status of key synchronization job with the ID "1f1d1b1b-a17c-486f-b864-db894af6efac" of the Google Cloud key ring demo-key-ring is in_progress.

The ID of a synchronization job is required to view details of the job. Refer to Viewing Details of a Synchronization Job for details.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.